Subject: Re: linux-next: build failure after merge of the irqchip tree

From: Marc Zyngier <[email-masked]>
Date: Thu, 29 Sep 2022 17:22:38 +0100

On Thu, 29 Sep 2022 15:40:56 +0100,
Robin Murphy <[email-masked]> wrote:
> 
> On 2022-09-29 15:31, [email-masked] wrote:
> > Hi all,
> > 
> > After merging the irqchip tree, today's linux-next build (arm64
> > defconfig) failed like this:
> > 
> > /tmp/next/build/drivers/irqchip/irq-imx-mu-msi.c:14:10: fatal error: linux/dma-iommu.h: No such file or directory
> >     14 | #include <linux/dma-iommu.h>
> >        |          ^~~~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >    841e6e9f2bc95baff ("irqchip: Add IMX MU MSI controller driver")
> > 
> > interacting with
> > 
> >    f2042ed21da7f8886 ("iommu/dma: Make header private")
> > 
> > I have reverted the driver for today.
> 
> Once again it looks like an unused include which could just be
> removed... illustrating a large part of why I took the header away :)

Thanks both. I've now fixed the driver by dropping this include (and
another one) and pushed the -next branch out again.

	M.

-- 
Without deviation from the norm, progress is not possible.